Jump to content

[ROM] Jelly Bean CM10 Android 4.1.2 Defy & Defy + (17/02/2013)


Recommended Posts

CM10 n'est je pense pas encore prête pour une utilisation quotidienne. Pour l'instant le son ne fonctionne pas à cause de nouvelles librairies qui permettent le son en temps réel. Cette librairie utilise des instructions qui n'existent pas dans le kernel et comme le bootloader est verrouillé il est impossible de les intégrer.

2 solutions : on remplace la nouvelle librairie par celle de CM9 qui fonctionne mais on perd à ce prix certains avantages de CM10.

Soit on essaye d'adapter la librairie avec les instructions incluses dans le kernel, beaucoup plus compliqué mais les dev sur Defy sont de grands génies !

Merci pour ces précisions sur les librairies et le kernel, j'ai CM10 et j'attend avec impatience la meilleure solution possible pour notre Defy, je pense que ces petits génies peuvent y arriver comme ils ont réussi avec l'accélération matérielle !

Link to comment
Share on other sites

Salut passe plutôt sur Cm9 pour l'instant c'est plus fonctionnel

Merci de ta réponse cest cool, il y a environ 3-4 mois je lai mit et tous les jours le tel séteignait tout seul, javais pas mal de petits bugs, ca a changé tes sur ?

Sinon a part ca, quand on installe une rom custom y a dautres trucs a installer ? genre pour booster la batterie ou je sais pas trop :)

merci davance

Link to comment
Share on other sites

Questio, c'est quoi ca ? Ca peux pas etre le code source ... http://sourceforge.n...motorola/files/

Bonne question je veux bien la réponse également.

Il nous faudra de long moi pour avoir quelque chose qui fonctionne bien. Il en a fallut 6 pour CM9...

Google now est présent dans ce portage pour le defy? Il fonctionne?

On peut l'installer a partir de CM9 sans wipe data? Ce n'est pas une mise a jour majeur donc ça doit être faisable non?

Edited by mitsoumithaux
Link to comment
Share on other sites

Questio, c'est quoi ca ? Ca peux pas etre le code source ... http://sourceforge.n...motorola/files/

Si si, le code sources des ROMs sont disponibles pour quasiment tous les téléphones android. Pour la simple et bonne raison qu'android est sous licence Open Source pour une grande partie, ce qui "oblige" les fabricants à diffuser ces parties qu'ils auraient modifiés.

Mais il ne faut pas non plus se leurrer, un paquet de morceaux ne sont pas sous licence open sources (pilotes, etc) et ne sont donc pas diffusés par les fabricants.

Il nous faudra de long moi pour avoir quelque chose qui fonctionne bien. Il en a fallut 6 pour CM9...

CM9 = réecriture complète de la ROM à partir de zéro. C'est pour ça que ça a pris du temps.

CM10 est une adaptation de CM9, cela devrait être beaucoup plus rapide.

Edited by Le_Poilu
Link to comment
Share on other sites

Ça devrait être plus rapide, c'est pour ce que je tourne déjà sous CM10 ... j'espère que le problème d'audio ne sera pas long a être résolu.

Après CM10, je pense que mon Defy aura assez donné, il a bien vécu et traversé toutes les versions d'Android presque ...

Et voila ! C'est BON pour l'audio, la caméra, il s'attaque maintenant au tethering !

C'est IMPRESSIONANT ! Quarx2k Norris !

Edited by diogo65
Link to comment
Share on other sites

Lien pour la version Defy+ : http://quarx2k.ru/cm10-nightly-defy+/

La version pour Defy arrive très bientot !

Au programme donc :

- Audio (grâce à maniac103 présent sur XDA entre autres)

- Video : Enregistrement et lecture

- Panorama

- Radio FM

Prochain, étape :

Mode modem

EDIT : Sur XDA, certains disent qu'on peux installer la version du Defy+ sur Defy, mais je crois que ca nous change le Kernel par la suite non ? Et encore ça doit être faisable que pour les Defy avec lentille rouge ..

EDIT 2 : Désolé pour le double post, il me semblait que ça les fusionnait automatiquement ...

Edited by diogo65
Link to comment
Share on other sites

Je vais tester celle du defy + alors. Mais normalement sans Flash du kernel je pense pas que cela changeras ton kernel.

J'ai déjà flasher le kernel 2.3 de toute manière je risque pas grand chose.

Bon ben pas eu le temps, celle du defy est disponible!

Téléchargement en cours!

Le serveur a l'air down. Plus possible de télécharger.

Heuresement mon DL continu =)

Edited by mitsoumithaux
Link to comment
Share on other sites

et évidement c'est aujourd'hui que je me retrouve sans battery Grrr ;)

vous avez tester ? qu'en est-il des options de paramétrage qui avait disparu ?

[edit] bon en tout état de cause le site de Quarx donne :

500 Internal Server Error

en ce moment :'(

c'est tout de même énorme la vitesse d'avancement :)

Edited by matyeux
Link to comment
Share on other sites

merci ;)

la je suis en train de regarder pour le mode de fonctionnement du Fix "installation depuis la carte sd"

Même chose. Je comprend pas quel permission c'est 777..

L'nstallation a merder au bout de même pas 5 secondes... Le fichier est incomplet..

Edited by mitsoumithaux
Link to comment
Share on other sites

Même chose. Je comprend pas quel permission c'est 777..

L'nstallation a merder au bout de même pas 5 secondes...

Dans ExExplorer si tu clic-long sur un dossier tu as un menu déroulant qui s'affiche avec tout en bas "propietés" et bien c'est la que tu peux modifier les autorisations ;)

encore faut-il trouver le dossier app-asec ;)

Link to comment
Share on other sites

777 c'est toutes les permissions ( lecture / écriture / exécution ) mais après ... :S

D'accord on lui autorise tout a mon avis.

Ben je la retélécharge du coup, mais c'est long long long...

et évidement c'est aujourd'hui que je me retrouve sans battery Grrr ;)

vous avez tester ? quand est-il des options de paramétrage qui avait disparu ?

Configuration du lock screen de retour

pareil pour le defy part et defy tools

L'option "system" ne fonctionne pas chez moi par contre

Google now fonctionne pas trop mal j'ai l'impression. Mais uniquement pour les recherche sur internet

Ah une perte complèt des données... je vais essayer le basebandswitcher 3.1 que j'avais mis sur ics

Je lui ait dit "Appeler répondeur", il a commencer a appeler la gendarmerie nationale du coin en prenant le numero sur internet mdr

Je ne comprend pas le fix par contre... je ne trouve pas le -asec

Quote: fix install app to sdcard:

Make dir /data/app-asec, 777 pem

Copy make_ext4fs to /system/bin and set 777.

Donesmile.gif No need kernel updatesmile.gif

Impossible de donner les droits root a es explorer

Edited by mitsoumithaux
Link to comment
Share on other sites

bon déjà ça commence mal impossible d'installer les Gapps (j'ai peu-etre pas la bonne version - c'est celle du 13 07 ?)

[edit] sinon il n'y a pas de réglage pour la barre de statut / notification

Edited by matyeux
Link to comment
Share on other sites

je vais essayer de les re télécharger on ne sait jamais, parce que sans c'est pas super-utilisable ;)

[edit] c'etait effectivement un probleme de fichier corrompu j'ai pu faire l'installation sans probleme avec le nouveau DL

[edit 2] du coup je me lance dans un test de GoogleNow on vera bien ce que ça donne ... j'ai bien envie de rester avec cette rom pour le moment les fonctions vital du Téléphone sont conserver donc c'est du bonheur ^^

[edit 3] Google Play Livre n'arret pas de planter (1 notification toute les 5 / 10 min )

Edited by matyeux
Link to comment
Share on other sites

Excusez moi de dérangez avec des questions de débutants mais comment l'avez vous installer car quand je demarre il y a l'image de Cyanogenmod9 mais c'est bien Jelly Bean ... puis l'assistant vocal ne marche pas je peut faire que de la recherche sur internet et il n'y a donc pas de synthese vocal. Suis-je trop pressé ? Ou alors ai-je mal installé ? Pour info j'étais en Cyanogenmod9 et pour l'installer je suis passé sur le boot menu sélectionner stable recovery installer le kernel jelly bean puis la Rom puis les Gapps

Merci d'avance :D

[edit] BOn je viens de comprendre ! L'assistant vocal ( a la siri ) ne marche qu'en ANglais ! Google s'il vous plait arretez de nous oublier !!! :'( Depechez vous même Apple va plus vite !

Edited by seb20137
Link to comment
Share on other sites

Bonjour all,

Pouvez vous m'éclairer, pourquoi beaucoup de monde sur XDA dis qu'il faut flasher le kernel CM7 Froyo sur Defy ? On l'a déjà non ? Y'en a qu'un de kernel pour Defy ? Sauf si on installe le kernel du Defy+ mais impossible a downgrade il me semble ...

Est-ce que si j'installe une version Defy+, le kernel du Defy+ va-t-il s'installer ?

Merci d'avance

Link to comment
Share on other sites

A l'origine le Defy est fourni avec android 2.1, donc quelqu'un qui n'a jamais fait de mise à jour peut encore avoir un kernel 2.1 dessus.

Le Kernel Froyo est le dernier Kernel officiel signé que Motorola à fourni pour le Defy (il y a du 2.3 pour Defy+), donc toutes les roms costums se basent dessus.

Edited by Le_Poilu
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...